=== debian/changelog ===
dcmtk (3.6.9-6) unstable; urgency=medium

  * Team upload.
  * d/rules: cleanup a stray "noname" file. (Closes: #1122403)
  * d/patches/*-CVE-2025-9732.patch: new.
    These changes pulled from dcmtk upstream address CVE-2025-9732.
    (Closes: #1113993)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/libdcmtk19.lintian-overrides: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Wed, 10 Dec 2025 22:34:17 +0100

dcmtk (3.6.9-5) unstable; urgency=medium

  * d/control: relax dependency on dcmtk-data. Closes: #1098944
  * 0012-CVE-2025-2357.patch: new: fix CVE-2025-2357. (Closes: #1100724)
  * documentation: Spring cleanups. Closes: #1095639

 -- Mathieu Malaterre <malat@debian.org>  Fri, 21 Mar 2025 12:45:44 +0100

dcmtk (3.6.9-4) unstable; urgency=medium

  * Team upload.
  * Reinstate 0007-CVE-2024-47796.patch and 0008-CVE-2024-52333.patch.
    These were not part of dcmtk 3.6.9 upstream and still apply.
    Thanks to Salvatore Bonaccorso
  * 0009-CVE-2025-25475.patch: new: fix CVE-2025-25475. (Closes: #1098373)
  * 0010-CVE-2025-25474.patch: new: fix CVE-2025-25474. (Closes: #1098374)
  * 0011-CVE-2025-25472.patch: new: fix CVE-2025-25472.

 -- Étienne Mollier <emollier@debian.org>  Wed, 19 Feb 2025 22:30:57 +0100

dcmtk (3.6.9-3) unstable; urgency=medium

  * d/patches: Remove old unused patches
  * d/doc: Make sure to reference 3.6.9 path
  * d/watch: Properly watch upstream on github

 -- Mathieu Malaterre <malat@debian.org>  Tue, 18 Feb 2025 12:05:41 +0100

dcmtk (3.6.9-2) experimental; urgency=medium

  * d/t/run-unit-test: Adapt to new installation

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Feb 2025 08:12:50 +0100

dcmtk (3.6.9-1) experimental; urgency=medium

  * New upstream version 3.6.9
  * d/install: Migrate to new SOVERSION
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 30 Jan 2025 13:16:59 +0100
