=== debian/changelog ===
dcmtk (3.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.7.0: fixes CVE-2025-14607 and CVE-2025-14841.
    (Closes: #1122926, #1123584, #1060677)
  * d/copyright: refresh following new upstream release.
  * *-CVE-*.patch: delete: all security issues are fixed upstream.
  * 07_dont_export_all_executables.patch: unfuzz.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.
  * d/dcmtk-doc.doc-base: update upstream version.

 -- Étienne Mollier <emollier@debian.org>  Wed, 11 Feb 2026 18:32:36 +0100
