## dcmtk 3.7.0%2breally3.7.0

=== dcmseg/libsrc/CMakeLists.txt ===
# create library from source files
DCMTK_ADD_LIBRARY(dcmseg
  overlaputil.cc
  segdoc.cc
  segment.cc
  segtypes.cc
  segutils.cc
)

DCMTK_TARGET_LINK_MODULES(dcmseg dcmfg dcmiod dcmdata ofstd oflog)
