## dcmtk 3.7.0+really3.6.9

=== debian/changelog ===
dcmtk (3.7.0+really3.6.9-1) unstable; urgency=medium

  * Team upload.
  * Undo upload of version 3.7.0 that caused ABI breakage by rolling
    back to the state of 3.6.9-6.  Note this undoes mitigations against
    CVE-2025-14607 and CVE-2025-14841 (and reopens #1122926, #1123584,
    #1060677) (Closes: #1127756)

 -- Étienne Mollier <emollier@debian.org>  Thu, 12 Feb 2026 19:47:48 +0100
