=== debian/watch ===
Version: 5

Template: Github
Owner: DCMTK
Project: dcmtk
