## dcmtk 3.7.0+really3.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Minimum CMake version required
-cmake_minimum_required(VERSION 3.7.0...3.31.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.7.0...4.2.0 FATAL_ERROR)
 
 # Declare project
 project(DCMTK)
@@ -134,6 +134,7 @@
       get_filename_component(FILE "${DICTIONARY}" NAME)
       set(DCMDICTPATH "${DCMDICTPATH}:${ANDROID_TEMPORARY_FILES_LOCATION}/${FILE}")
     endforeach()
+    set(DCMICONVPATH "${ANDROID_TEMPORARY_FILES_LOCATION}/data")
     configure_file("${DCMTK_SOURCE_DIR}/CMake/CTest/CTestCustomAndroid.cmake.in"
       "${DCMTK_BINARY_DIR}/CTestCustom.cmake" ESCAPE_QUOTES @ONLY
     )
