=== dcmdata/tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   tchval.cc
   tdict.cc
   telemlen.cc
+  tfrmsiz.cc
   tests.cc
   tfilter.cc
   tgenuid.cc
@@ -33,7 +34,7 @@
 )
 
 # make sure executables are linked to the corresponding libraries
-DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d dcmdata oflog ofstd)
+DCMTK_TARGET_LINK_MODULES(dcmdata_tests i2d)
 
 # This macro parses tests.cc and registers all tests
 DCMTK_ADD_TESTS(dcmdata)
