=== debian/changelog ===
dcmtk (3.7.0+really3.7.0-0+exp1) experimental; urgency=medium

  * Team upload
  * d/rules: guard against accidental ABI breakages.
  * New upstream version 3.7.0: fixes CVE-2025-14607 and CVE-2025-14841.
    (Closes: #1122926, #1123584, #1060677)
  * d/*: soname bump to libdcmtk20.
  * d/control: libdcmtk20 replaces libdcmtk19.
  * skip-bigendian-roundtrip-failure.patch: new: skip test failure on s390x.
    The correction is work in progress upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 18 Feb 2026 21:22:40 +0100
