=== debian/control ===
--- 
+++ 
@@ -47,10 +47,12 @@
  .
  This package contains the DCMTK data files.
 
-Package: libdcmtk19
+Package: libdcmtk20
 Architecture: any
 Section: libs
 Depends: dcmtk-data (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdcmtk19
+Replaces: libdcmtk19
 Multi-Arch: same
 Description: OFFIS DICOM toolkit runtime libraries
  DCMTK includes a collection of libraries and applications for examining,
@@ -66,14 +68,14 @@
 Package: libdcmtk-dev
 Architecture: any
 Section: libdevel
-Depends: libdcmtk19 (= ${binary:Version}),
+Depends: libdcmtk20 (= ${binary:Version}),
          libnsl-dev,
          libwrap0-dev,
          libxml2-dev,
          libz-dev,
          ${misc:Depends}
 Suggests: dcmtk-doc
-Provides: libdcmtk19-dev
+Provides: libdcmtk20-dev
 Description: OFFIS DICOM toolkit development libraries and headers
  DCMTK includes a collection of libraries and applications for examining,
  constructing and converting DICOM image files, handling offline media,
