=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,20 @@
   CMAKE_EXTRA_FLAGS += -DBUILD_TESTING:BOOL=OFF
 endif
 
+# Guard against accidental ABI breakages.
+DCMTK_SOVERSION != sed -n 's/set(DCMTK_ABI_VERSION \([0-9]\+\))/\1/p' CMake/dcmtkPrepare.cmake
+DEB_SOVERSION != sed -n 's/Package: libdcmtk\([0-9]\+\)/\1/p' debian/control
+execute_before_dh_autoreconf:
+	@ if [ $(DCMTK_SOVERSION) != $(DEB_SOVERSION) ] \
+	; then \
+		printf 'E: libdcmtk%s package mismatches dcmtk soversion %s.\n' \
+			$(DEB_SOVERSION) $(DCMTK_SOVERSION) \
+	;	printf 'E: Please bump the package soversion to libdcmtk%s\n' \
+			$(DCMTK_SOVERSION) \
+	;	printf 'E: and coordinate a transition.\n' \
+	;	exit 1 \
+	; fi
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
